Full archive
GET
/v1/bulk/all.zipEverything held, one CSV per country in a zip, with a manifest of series.
Intel plan and upKey requiredFile downloadCached until the next release
Parameters
No parameters.
Request
# The entire archive in one download
curl "https://api.tourismapi.com/v1/bulk/all.zip" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/bulk/all.zip", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/bulk/all.zip",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/bulk/all.zip");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_7f3a1c",
"data_as_of": "2026-10-12T12:01:11Z",
"count": 1,
"next": null
},
"data": {
"file": "all.zip",
"countries": 199,
"built_at": "2026-10-12T09:41:07Z",
"manifest": "/v1/bulk/manifest.json"
}
}Response fields
| Field | Type | Example |
|---|---|---|
| file | string | all.zip |
| countries | number | 199 |
| built_at | string | 2026-10-12T09:41:07Z |
| manifest | string | /v1/bulk/manifest.json |